## org.ascape.view.nonvis
Class ParameterControlView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.ascape.view.nonvis.NonGraphicView
              org.ascape.view.nonvis.ParameterControlView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, ScapeListener, HasName

    public class ParameterControlView

extends NonGraphicView

Sets up each run based on parameters drawn from a file.

Since:
  2.0
Version:
  2.0
Author:
  Jim Girard, Miles Parker
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`listeningToScape, name, scape`

Constructor Summary
`ParameterControlView()`

Method Summary
`void` `initParams()` Inits the params.
`void` `scapeDeserialized(ScapeEvent scapeEvent)` Method called once a model is deserialized.
`void` `scapeSetup(ScapeEvent scapeEvent)` Method called when the scape is ready for setup.
`void` `scapeStopped(ScapeEvent scapeEvent)` Called immediatly after the scape is stopped.
`void` `setFile(java.lang.String filename)` Sets the file.

Methods inherited from class org.ascape.view.nonvis.NonGraphicView
`isGraphic`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getName, getScape, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeAdded, scapeClosing, scapeInitialized, scapeIterated, scapeNotification, scapeRemoved, scapeStarted, setName, setNotifyScapeAutomatically, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterControlView

    public ParameterControlView()

Method Detail

### setFile

    public void setFile(java.lang.String filename)
                 throws java.io.IOException

  Sets the file.

  Parameters:
    `filename` - the new file
  Throws:
    `java.io.IOException` - Signals that an I/O exception has occurred.

### initParams

    public void initParams()

  Inits the params.

### scapeDeserialized

    public void scapeDeserialized(ScapeEvent scapeEvent)

  Method called once a model is deserialized.

  Specified by:
    `scapeDeserialized` in interface `ScapeListener`
  Overrides:
    `scapeDeserialized` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` - the scape event

### scapeSetup

    public void scapeSetup(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Method called when the scape is ready for setup. That is, the scape has been created (or it has just finished its previous run) but it has not yet been initialized. This is an appropriate place to change model paramters, persent user's with options, etc.

  Specified by:
    `scapeSetup` in interface `ScapeListener`
  Overrides:
    `scapeSetup` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` - the scape event

### scapeStopped

    public void scapeStopped(ScapeEvent scapeEvent)

  Description copied from class: `DefaultScapeListener`
  Called immediatly after the scape is stopped.

  Specified by:
    `scapeStopped` in interface `ScapeListener`
  Overrides:
    `scapeStopped` in class `DefaultScapeListener`
  Parameters:
    `scapeEvent` - the scape event